@charset "utf-8";

/* --------------------------------------
    newsやmediaの一覧・詳細スタイルを定義
 -------------------------------------- */

/* --------------------------------------
    一覧・詳細 共通パーツ
 -------------------------------------- */
.news-list {
    position: relative;
    z-index: 1;
    flex: 1;
    gap: 5px;
}

.sbox-news {
    width: 100%;
}

.sbox-news .btn {
    position: relative;
    display: block;
}

.sbox-news .btn::before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    background-color: var(--gly);
}

.sbox-news .btn-block {
    position: relative;
    gap: 10px 20px;
    align-items: flex-start;
    align-items: center;
}

.sbox-news .icon-date-cat {
    gap: 0 20px;
}

.sbox-news .cat-icon {
    border-radius: 10px;
    overflow: hidden;
}

/* --------------------------------------
    一覧（テキストリスト）
 -------------------------------------- */
.txt-list {
    display: inline-flex;
    flex-wrap: wrap;
    width: 100%;
}

.txt-list .sbox-article {
    width: 100%;
    border-top: 1px solid rgb(0 0 0 / 10%);
}

.txt-list .sbox-article:last-child {
    border-bottom: 1px solid rgb(0 0 0 / 10%);
}

.txt-list .sbox-article .cont-box {
    display: block;
    width: 100%;
    transition: all 0.3s ease-out;
}

.txt-list .sbox-article.has-thumb .cont-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.txt-list .sbox-article .cont-box:hover {
    opacity: 0.9;
}

.txt-list .sbox-article .cont-box .thumbnail {
    overflow: hidden;
}

/* サムネイル画像 -------------------- */
.txt-list .sbox-article .cont-box .thumbnail {
    width: 30%;
}

.txt-list .sbox-article .cont-box .thumbnail .photo-wrap {
    display: block;
    transition: all 0.3s ease-out;
}

.txt-list .sbox-article .cont-box .thumbnail .photo-wrap img {
    display: block;
    width: 100%;
    height: auto;
    background-position: center 50%;
    background-size: cover;
}

@media (max-width: 767px) {
    .txt-list .sbox-article .cont-box .thumbnail {
        width: 100%;
    }
}

/* カテゴリ・日付・タイトル -------------------- */
.txt-list .sbox-article .txt-area {
}

.txt-list .sbox-article.has-thumb .txt-area {
    width: 70%;
    padding-right: 5%;
}

.txt-list .sbox-article .txt-area .upper-stage {
    padding-bottom: 10px;
}

.txt-list .sbox-article .txt-area .upper-stage .t-cat {
}

.txt-list .sbox-article .txt-area .upper-stage .t-date {
    display: inline-block;
    padding-right: 15px;
}

@media (max-width: 767px) {
    .txt-list .sbox-article.has-thumb .txt-area {
        width: 100%;
        padding-right: 0;
    }
}

/* --------------------------------------
    一覧（サムネイルリスト）
 -------------------------------------- */
.thum-list {
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    width: 102%;
    margin: 0 -1%;
}

.thum-list .sbox-article {
    width: calc(100% / 3);
    padding-right: 1%;
    padding-left: 1%;
}

.thum-list .sbox-article .cont-box {
    display: block;
    width: 100%;
    transition: all 0.28s ease-out;
}

.thum-list .sbox-article .cont-box:hover {
    opacity: 0.9;
}

@media (max-width: 1024px) {
    .thum-list .sbox-article {
        width: 50%;
    }
}

@media (max-width: 640px) {
    .thum-list .sbox-article {
        width: 100%;
    }
}

/* サムネイル画像 -------------------- */
.thum-list .cont-box .photo-wrap {
    display: block;
    overflow: hidden;
}

.thum-list .cont-box .photo-wrap img {
    display: block;
    width: 100%;
    transition: all 0.28s ease-out;
}

.thum-list .cont-box:hover .photo-wrap img {
    transform: scale(1.03);
}

/* サムネイル画像がないとき */
.thum-list .cont-box .photo-wrap.no-img {
    background: #ebebeb;
}

.thum-list .sbox-article .cont-box .photo-wrap.no-img img {
    background-image: url("../img/news/no-img.svg");
    background-repeat: no-repeat;
    background-position: center 50%;
    background-size: 55%;
    opacity: 0.15;
}

/* カテゴリ・日付・タイトル -------------------- */
.thum-list .sbox-article .txt-area {
    padding: 10px 0;
}

.thum-list .sbox-article .txt-area .upper-stage {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 10px;
}

.thum-list .sbox-article .txt-area .upper-stage .t-cat {
    padding: 1px 10px;
    line-height: 1.6;
    vertical-align: middle;
}

@media (max-width: 640px) {
    .thum-list .sbox-article .txt-area {
        padding: 10px 0;
    }
}

/* --------------------------------------
   一覧スライダー ※一覧（サムネイルリスト）に追記
 -------------------------------------- */
.sec-newsslider .col-news {
    position: relative;
    width: 100%;
    padding-right: 0;
}

.sec-newsslider .col-news .news-wrap {
    margin: 0;
}

.sec-newsslider .col-news .news-wrap .sbox-article {
    width: auto;
    padding-right: 2%;
    padding-left: 2%;
}

@media (max-width: 576px) {
    .sec-newsslider .col-news .news-wrap .sbox-article {
        padding-right: 0;
        padding-left: 0;
    }
}

/* 矢印スタイル */
.news-slider-arrows {
    position: absolute;
    top: 50%;
    width: 100%;
    margin-top: -30px;
}

.news-slider-arrows .arrow {
    position: absolute;
    width: 60px;
    height: 60px;
    cursor: pointer;
    background-color: #666;
}

@media (max-width: 576px) {
    .news-slider-arrows .arrow {
        width: 45px;
        height: 45px;
    }
}

.news-slider-arrows .arrow.slick-disabled {
    display: none !important; /* js制御 */
}

.is-left .arrow {
    top: 0;
    left: 0;
}

.is-right .arrow {
    top: 0;
    right: 0;
}

.news-slider-arrows .arrow::before {
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 14px;
    height: 14px;
    content: "";
    transition: left ease 0.28s;
}

.is-left .arrow::before {
    border-top: 1px solid #fff;
    border-left: 1px solid #fff;
    transform: translate(-50%, -50%) rotate(-45deg);
}

.is-right .arrow::before {
    border-top: 1px solid #fff;
    border-right: 1px solid #fff;
    transform: translate(-50%, -50%) rotate(45deg);
}

.is-left:hover .arrow::before {
    left: 40%;
}

.is-right:hover .arrow::before {
    left: 60%;
}
